package com.evobms.project.ota.service;

import java.util.List;
import com.evobms.project.ota.domain.OtaTasks;

/**
 * OTA任务Service接口
 * 
 * @author ruoyi
 * @date 2025-10-14
 */
public interface IOtaTasksService 
{
    /**
     * 查询OTA任务
     * 
     * @param id OTA任务主键
     * @return OTA任务
     */
    public OtaTasks selectOtaTasksById(String id);

    /**
     * 查询OTA任务列表
     * 
     * @param otaTasks OTA任务
     * @return OTA任务集合
     */
    public List<OtaTasks> selectOtaTasksList(OtaTasks otaTasks);

    /**
     * 新增OTA任务
     * 
     * @param otaTasks OTA任务
     * @return 结果
     */
    public int insertOtaTasks(OtaTasks otaTasks);

    /**
     * 修改OTA任务
     * 
     * @param otaTasks OTA任务
     * @return 结果
     */
    public int updateOtaTasks(OtaTasks otaTasks);

    /**
     * 批量删除OTA任务
     * 
     * @param ids 需要删除的OTA任务主键集合
     * @return 结果
     */
    public int deleteOtaTasksByIds(String[] ids);

    /**
     * 删除OTA任务信息
     * 
     * @param id OTA任务主键
     * @return 结果
     */
    public int deleteOtaTasksById(String id);
}
